//
//  QRCodeScanVC.h
//  gaotingshan
//
//  Created by MacBook Dq01 on 16/4/28.
//  Copyright © 2016年 Xu Mengzhu. All rights reserved.
//

#import <UIKit/UIKit.h>

@class QRCodeScanVC;

//协议方法
@protocol QRCodeScanVCDelegate <NSObject>

@optional
-(void)passValueToDevice:(NSString *)deviceNum;

-(void)passValueToWatch:(NSString *)watchNumber;

-(void)passValueToCultureGame:(NSString *)gameCode;

@end

@interface QRCodeScanVC : UIViewController

//协议属性
//delegate属性使用assign,避免出现保留环(retain cycle), 导致双方都持有对方,从而都得不到释放.
@property (nonatomic, assign) id<QRCodeScanVCDelegate> delegate;
@property (nonatomic,copy) NSString *fromWhat;//区分是从绑定卡或者绑定手表跳过来的
@end
