//
//  CultureGameViewController.h
//  gaotingshan
//
//  Created by MacBook Dq01 on 16/5/6.
//  Copyright © 2016年 Xu Mengzhu. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <CoreBluetooth/CoreBluetooth.h>
#import "QRCodeScanVC.h"//用于扫描赞助商支线二维码

@interface CultureGameViewController : UIViewController<CBCentralManagerDelegate,QRCodeScanVCDelegate>

@property (strong, nonatomic)CBCentralManager *manager;
@property (strong, nonatomic) NSMutableArray *areaGameArr;//存储景点名称和游戏名称字典的数组
@property (nonatomic,assign) BOOL isScanning;//判断当前蓝牙是否已经开始搜索，并且没有停止动作
@property (nonatomic,assign) BOOL canStartScan;//只有在接受到code以后，才在蓝牙里面做比对动作，没有接受任务的时候，不做动作
//@property (nonatomic, strong) NSString *acceptFragment;//存储接受任务服务器返回后的后面参数

@property (nonatomic,strong) NSString *url; //在webview加载完成的时候记录当前加载的webview地址
@property (nonatomic,strong) NSString *originStr;//记录webview的初始url，用于返回按钮判断
@property (nonatomic,strong) dispatch_queue_t queue;//蓝牙搜索加入的队列，用于在子线程中做搜索

@property (nonatomic, assign) BOOL delBranch;//判断是否跳过支线任务，如果跳过，则搜索到支线的时候，不再加载支线任务

//赞助商参数
@property (nonatomic, copy) NSString *scanningId;
@property (nonatomic, copy) NSString *scanningAlt;

@end
