//
//  BottomView.h
//  ArcGis
//
//  Created by Mac Book DQ02 on 16/3/17.
//  Copyright © 2016年 Xu Mengzhu. All rights reserved.
//

#import <UIKit/UIKit.h>

//代理用于点击底部按钮，将按钮的点击状态还有点击哪一个按钮，传给控制器，便于控制器，做相应操作
@protocol BottomViewDelegate <NSObject>

-(void)displayWithBtn:(unsigned long)tag andClick:(BOOL)click;

@end

@interface BottomView : UIView

@property unsigned long lastSelectedTag;//记录上一次点击的底部按钮的tag,用于和当前点击的按钮的tag做比较；
@property (strong, nonatomic) NSMutableArray *btnArr;
@property (strong, nonatomic) id<BottomViewDelegate> delegate;

-(instancetype)initWithFrame:(CGRect)frame;
-(void)btnClicked:(UIButton *)sender;
-(void)changeState;
@end
