//
//  CalloutView.h
//  ArcGis
//
//  Created by Mac Book DQ02 on 16/3/23.
//  Copyright © 2016年 Xu Mengzhu. All rights reserved.
//

#import <UIKit/UIKit.h>

@protocol CalloutViewVDelegate <NSObject>

-(void)pushToDetailPage:(NSString *)thCode andObjectName:(NSString *)name;

@end

@interface CalloutView : UIView

@property (strong, nonatomic) UILabel *objectNameLab;
@property (strong, nonatomic) UIImageView *objectImgView;
@property (strong, nonatomic) NSString *objectCode;

@property (strong, nonatomic) id<CalloutViewVDelegate> delegate;

-(instancetype)initWithFrame:(CGRect)frame;

@end
