//
//  SpotCallout.h
//  TextFieldTest
//
//  Created by Mac Book DQ02 on 16/7/7.
//  Copyright © 2016年 Xu Mengzhu. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <AVFoundation/AVFoundation.h>

@protocol CalloutViewDelegate <NSObject>
@optional
-(void)pushToDetailPage:(NSString *)thCode andObjectName:(NSString *)name;
@optional
-(void)passEndPToGuideVC:(AGSPoint *)endP;

@end

@interface SpotCallout : UIView

@property (nonatomic, strong) AGSPoint *spotPoint;//当前气泡的点坐标
@property (nonatomic, strong) UIImageView *spotImgV;
@property (nonatomic, strong) UILabel *nameLab;
@property (nonatomic, strong) NSString *audioUrl;
@property (nonatomic, strong) NSString *imgUrl;
@property (nonatomic, strong) NSString *spotCode;
@property (nonatomic, copy) NSString *keyword;

@property (nonatomic, assign) float btnCount;

@property (nonatomic,strong) AVPlayer *player;//播放音频的系统类
@property (nonatomic,assign) BOOL isPlaying;//是否正在播放

@property (strong, nonatomic) id<CalloutViewDelegate> delegate;

-(instancetype)initWithFrame:(CGRect)frame andImg:(NSString *)image;
-(void)setBtns;

@end
