//
//  RouteTaskInnerView.h
//  TestAlphaView
//
//  Created by Mac Book DQ02 on 16/4/9.
//  Copyright © 2016年 Xu Mengzhu. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "MarkInfoModel.h"

@protocol RouteTaskInnerViewDelegate <NSObject>

@optional
-(void)transferStart:(AGSPoint *)start end:(AGSPoint *)end type:(int)typ;

@end

@interface RouteTaskInnerView : UIView<UITextFieldDelegate>

@property (strong, nonatomic) UITextField *startingField;
@property (strong ,nonatomic) UITextField *endingField;
@property (weak, nonatomic) id<RouteTaskInnerViewDelegate> delegate;


-(instancetype)initWithFrame:(CGRect)frame;

@end
