//
//  MySearchView.h
//  ArcGis
//
//  Created by Mac Book DQ02 on 16/3/24.
//  Copyright © 2016年 Xu Mengzhu. All rights reserved.
//

#import <UIKit/UIKit.h>

@protocol MySearchViewDelegate <NSObject>

//将搜索内容传给主控制器GuideMapController
-(void)passAllModel:(NSArray *)modelArr andGraphicArr:(NSArray *)graphicArr;
//删除按钮按下，通知主视图收起tableview
-(void)hideTableView;
//搜索框的文本开始编辑的时候，原本弹起的视图收起，
-(void)hideSubViews;

@end

@interface MySearchView : UIView<UITextFieldDelegate>

@property (strong, nonatomic) UIButton *searchbtn;
@property (strong, nonatomic) UITextField *searchTextField;
@property (strong, nonatomic) UIButton *cancelBtn;


@property (weak, nonatomic) id<MySearchViewDelegate> delegate;

-(instancetype)initWithFrame:(CGRect)frame;

@end
