//
//  JoinTeamVC.h
//  RadioDemo
//
//  Created by Mac Book DQ02 on 16/9/25.
//  Copyright © 2016年 Xu Mengzhu. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "TeamNameCell.h"
#import "TeamInfo.h"
#import "MyCompeteScheduleVC.h"

@interface JoinTeamVC : UIViewController<UITableViewDataSource,UITableViewDelegate,TeamCellDelegate>

@property (nonatomic, strong) UITableView *teamTable;//展示所有团队名称的表格
@property (nonatomic,strong) NSMutableArray *jCellArr;//获取的数据源数组
@property (nonatomic, strong) UISegmentedControl *operaSegC;//控制是加入团队还是创建团队的分段控制器

@property (nonatomic, strong) UITextField *tNameField;//团队名字输入框
@property (nonatomic, strong) UILabel *nameWarningLab;//团队输入框填写正误的提示标签
@property (nonatomic, strong) UIButton *cTeamBtn;//创建按钮

@property (nonatomic, assign) BOOL isApplyOrCreate;//判断是否是第一次创建或者申请赛事进的加入团队页面，直接决定了，加入成功，是返回竞赛详情，还是进入赛事列表（第一次创建或者申请进入赛事列表）

@end
