//
//  Singleton.h
//  Lesson13PassValue
//
//  Created by laouhn on 15/8/19.
//  Copyright (c) 2015年 laouhn. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface Singleton : NSObject

//用于传递登录成功后的status值
@property (nonatomic, strong) NSString *string;

//用于传递登录成功后sesskey值
@property (nonatomic, strong) NSString *sesskey;
//用户data内部状态值
@property (nonatomic, strong) NSString *status;
@property (nonatomic, strong) NSString *JSESSIONIDValue;//用于储存登陆成功后的服务器返回的cookie，用于服务器端判断客户端是否是登陆状态
//用户的真实姓名
@property (nonatomic, strong) NSString *reallyName;
//用户传递用户头像
@property (nonatomic, strong) NSString *headImgUrl;
//头像保存路径
//@property (nonatomic, strong) NSString *headPath;
//用户昵称
@property (nonatomic, strong) NSString *nickName;
//用户身高
@property (nonatomic, strong) NSString *increased;
//用户体重
@property (nonatomic, strong) NSString *weight;
//用户性别
@property (nonatomic, strong) NSNumber *sex;
//绑定设备号
@property (nonatomic, strong) NSString *deviceSn;
//绑定手表号码
@property (nonatomic, copy) NSString *watchSn;
//用户ID
@property (nonatomic, strong) NSString *userid;
//存储当前正在操作的赛事ID
@property (nonatomic, strong) NSString *eventId;

//存储当前操作的赛事的类型，官方或者个人
@property (nonatomic, assign) NSNumber *eventType;

//线路ID
@property (nonatomic, strong) NSString *routeId;
//用于"我的成绩"页面传值
@property (nonatomic, strong) NSString *scoreId;
//bool值用于判定“我的赛事过程管理”页面
@property (nonatomic, assign) bool is;

@property (nonatomic, strong) CLLocation *currentLocation;//记录当前用户的当前位置，用于一键求助上传位置

+ (Singleton *)defaultSingleton;

@end
