//
//  AppDelegate.h
//  ArcGis
//
//  Created by Mac Book DQ02 on 16/3/16.
//  Copyright © 2016年 Xu Mengzhu. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "GuideMapController.h"
#import "IntroduceViewController.h"
#import <MMDrawerController.h>
#import "LeftDrawerViewController.h"
#import <AFNetworking.h>
#import "Manager.h"
#import <IQKeyboardManager.h>
#import "Singleton.h"
#import "CustomTabBarController.h"
#import <AlipaySDK/AlipaySDK.h>
#import "WXApi.h"
#import "WXApiObject.h"

@interface AppDelegate : UIResponder <UIApplicationDelegate,UITableViewDelegate,CLLocationManagerDelegate,UITabBarControllerDelegate,WXApiDelegate>

@property (strong, nonatomic) UIWindow *window;
@property (strong,nonatomic) MMDrawerController *drawerController;
@property (strong, nonatomic) CustomTabBarController *tabbarVC;

@property (strong, nonatomic) CLLocationManager *locationManager;//用于系统定位；
@property (strong, nonatomic) CLLocation *currentLocation;

@property (assign, nonatomic) long lastIndex;//记录上一次点击的索引

-(void)setMMDrawerController;
@end

