//
//  LoginViewController.h
//  gaotingshan
//
//  Created by MacBook Dq01 on 16/3/17.
//  Copyright © 2016年 Mac Book DQ02. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "FileDownloadTool.h"
#import <MBProgressHUD.h>

@class LoginViewController;

@protocol LoginViewControllerDelegate <NSObject>

//- (void)viewController:(LoginViewController *)viewController
//             passValue:(NSString *)string;

@end

//对block重命名。
typedef void(^BlockStatus)(NSString *str);

@interface LoginViewController : UIViewController

//利用block传递status的值。多个页面都会用到 （本人利用block传值没有成功）
@property (nonatomic, copy) BlockStatus block;
- (void)passValue:(BlockStatus)block;

//利用代理传值。定义代理属性
@property (nonatomic, assign) id<LoginViewControllerDelegate>delegate;

//添加标志位，判断是从哪个界面跳到登录界面 xmz-modify
@property (nonatomic, strong) NSString *skipFrom;

//判断是哪个vc传过来的，收藏需要登录，传过来景点ID
@property (nonatomic, strong) UIViewController *vc ;
@property (nonatomic, assign) NSString *areaId;

@property (nonatomic, strong) NSString *fromCompeteEventID;//用于记录未登录情况下，点击首页的赛事，将赛事id的到，以便登陆成功后，赋值给singleton，记录当前操作的赛事

@end
