//
//  FMDataBaseTool.h
//  ArcGis
//
//  Created by Mac Book DQ02 on 16/3/19.
//  Copyright © 2016年 Xu Mengzhu. All rights reserved.
//

#import <Foundation/Foundation.h>
//#import <UIKit/UIKit.h>
#import <FMDB.h>
#import "RouteModel.h"


@interface FMDataBaseTool : NSObject

@property (strong, nonatomic) NSMutableArray *routeArr;
@property (strong, nonatomic) NSDictionary *singleRouteDic;
@property (strong, nonatomic) NSMutableArray *sectionArr;
@property (strong, nonatomic) NSMutableArray *pointArr;

-(NSArray *)selectRoutesByEntry:(NSString *)entryId;
-(NSArray *)selectRoadSectionByRouteId:(NSString *)routeId;
-(NSArray *)selectPointsBySectionId:(NSString *)sectionId;
-(AGSGraphic *)graphicWithPointArr:(NSArray *)pointArr;
+(NSArray *)getGraphicArr:(NSString *)routeId;

//坐标系转换,将数据库读出来的矢量坐标转化成当前mapview的坐标系为参考
+(AGSMutablePoint *)transferToMapViewSpatialreference:(AGSPoint *)pointFromSqlite;
+(BOOL)whetherInMapPolygon:(AGSPoint *)point;
+(AGSGraphic *)getMarkSymGraphic:(AGSPoint *)poin type:(int)typ;//标记起点终点的函数
@end
