//
//  RouteView.h
//  gaotingshan
//
//  Created by Mac Book DQ02 on 16/3/17.
//  Copyright © 2016年 Xu Mengzhu. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "RouteCell.h"
#import "FMDataBaseTool.h"

@protocol RouteViewDelegate <NSObject>

-(void)transferRouteId:(NSArray *)graphicArr;
-(void)transferEntryGraphic:(AGSGraphic *)graphic andPoint:(AGSPoint *)point;
@end

@interface RouteView : UIView<UITableViewDataSource,UITableViewDelegate>

@property (strong, nonatomic) UITableView *entryTable;
@property (strong, nonatomic) UITableView *routeTable;

@property (strong ,nonatomic) NSArray *entryArr;//存放入口名称，数据源
@property (strong, nonatomic) NSMutableArray *entryPointArr;//存放的是所有入口的点坐标，按照顺序来的
@property (strong ,nonatomic) NSArray *routeArr;//存放路线的数据源
@property (weak, nonatomic) id<RouteViewDelegate> delegate;

-(instancetype)initWithFrame:(CGRect)frame;

@end
