//
//  MapInfo.h
//  ArcGis
//
//  Created by Mac Book DQ02 on 16/4/8.
//  Copyright © 2016年 Xu Mengzhu. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface MapInfo : NSObject

@property (strong, nonatomic) AGSSpatialReference *mapSpatialReference;
@property BOOL isOfflineLoad;
@property (strong, nonatomic) AGSPoint *currentLocationForRoute;
@property (assign, nonatomic) int internetStatus;//检测网络状态
@property (assign, nonatomic) BOOL isFirstLoad;
@property (assign, nonatomic) int downloadFlag;

+ (id)allocWithZone:(struct _NSZone *)zone;
+ (MapInfo *)shareMapInfo;
- (id)copyWithZone:(struct _NSZone *)zone;
@end
