//
//  MyEventProcessManagementVC.h
//  gaotingshan
//
//  Created by MacBook Dq01 on 16/4/7.
//  Copyright © 2016年 Mac Book DQ02. All rights reserved.
//我的赛事过程管理页面

#import <UIKit/UIKit.h>
#import "NoBeginView.h"
#import "Singleton.h"
#import "PersonScoreModel.h"
#import "MyMD5.h"
#import "EachScoreVC.h"
#import "CustomNavViewController.h"
#import "Order.h"
#import <MBProgressHUD.h>

@interface MyEventProcessManagementVC : UIViewController<NobeginDelegate>
//活动状态值,表示开始未开始
@property (nonatomic, assign) NSInteger status;
//赛事开始时间（从上一页面以字符串格式接收）
@property (nonatomic, strong) NSString *eventStartTime;
//赛事结束时间（从上一页面以字符串格式接收）
@property (nonatomic, strong) NSString *eventEndTime;
//赛事正真开始时间（从上一页面以字符串格式接收）
@property (nonatomic, strong) NSString *realStartTime;
//从上一页面路线ID
@property (nonatomic, strong) NSString *routeId;
//从上一页面，用于判断是不是本人创建的赛事
@property (nonatomic, assign) bool isTure;

@property (nonatomic, strong) NSNumber *startNumber;
@property (nonatomic, strong) NSDate *startDate;

@property (nonatomic, strong) NSString *fromFlag;//用于标示从加入还是创建进入赛事管理的，从赛事管理返回的时候，确定刷新哪个视图

@property (strong,nonatomic)  NoBeginView *noBegin;//显示地图，成绩列表，和申请人员，这三个视图
//请求成绩列表相关
@property (strong, nonatomic) NSMutableArray *tmpScoreArr;//用于将获取的数据添加入
@property (strong, nonatomic) NSArray *sortedScoreArr;//用于存储，排序后的数组
@property (strong, nonatomic) PersonScoreModel *myScoreModel;//用于存储当前用户的成绩记录

@property (nonatomic, assign) int totalP;//总人数

@property (nonatomic, assign) BOOL isInFunction;//判断拉取成绩的函数是否有其他线程在占用

@property (nonatomic, strong) AGSGraphic *officalEventRoute;//官方赛事的路线
@property (nonatomic, strong) AGSGraphic *evpStart;//官方赛事起点
@property (nonatomic, strong) AGSGraphic *evpEnd;//官方赛事终点

@property (nonatomic, copy) NSString *payFlag;//验证支付结果的标志

@property (nonatomic, strong) MBProgressHUD *hud;//支付后，等待回调，蒙板使页面暂时无法操作。
@end
