//
//  NoBeginView.h
//  gaotingshan
//
//  Created by MacBook Dq01 on 16/4/8.
//  Copyright © 2016年 Mac Book DQ02. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "PersonScoreModel.h"

@protocol NobeginDelegate <NSObject>

-(void)pushToEachScoreV:(NSString *)requestUrl;//跳转到个人成绩页面
-(void)rightNaviShow:(long)flag;//判断是否有导航栏右边按钮
@end

@interface NoBeginView : UIView<UIWebViewDelegate>

@property (assign,nonatomic) id<NobeginDelegate> delegate;

@property (strong, nonatomic) PersonScoreModel *myScoreModel;//用于存储当前用户的成绩记录
@property (assign, nonatomic) int numberOfHasScore;//有成绩的人数
@property (strong, nonatomic) NSArray *hasScoreArr;//用于存储有成绩的数据的数组

@property (nonatomic, assign) BOOL loadFinished;//判断地图是否加载完全


@property (nonatomic, strong) UISegmentedControl *segmentedControl;
@property (nonatomic, strong) AGSMapView *mapView;

@property (nonatomic, strong) AGSGraphicsLayer *routeLayer;//赛事路线图层
@property (nonatomic, strong) AGSGraphic *officalEvR;//官方赛事的路线
@property (nonatomic, strong) AGSGraphic *evnStart;//官方赛事起点
@property (nonatomic, strong) AGSGraphic *evnEnd;//官方赛事终点

@property (nonatomic, strong) AGSGraphicsLayer *personRankLayer;//添加赛事排名的图层
@property (nonatomic,strong) AGSGraphicsLayer *relayLayer;//中继点分布的图层

@property (nonatomic, strong) UITableView *applyView;//添加申请人员列表的tableview
@property (nonatomic, strong) UIWebView *scoreWeb;//显示成绩的webview

@property (nonatomic, strong) AGSPoint *point;
@property (nonatomic, strong) NSString *endPoint;
@property (nonatomic, strong) NSString *point_x;
@property (nonatomic, strong) NSString *point_y;

@property (nonatomic, strong) NSMutableArray *Person_ary;//存储申请人员列表的数组

/*已没用*/
@property (nonatomic, strong) UICollectionView *scoreView; //(已废弃)添加成绩列表的collectionview
@property (nonatomic, strong) UICollectionViewFlowLayout *layout;
/*已没用*/

-(void)setWithAllScore:(NSArray *)thArr my:(PersonScoreModel *)myModel andNumber:(int)count;//用于接收我的赛事过程管理控制器传递过来的成绩数据
-(void)getDataFromMyEventProgressVC;
@end
