//
//  TeamNameCell.h
//  RadioDemo
//
//  Created by Mac Book DQ02 on 16/9/25.
//  Copyright © 2016年 Xu Mengzhu. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "TeamInfo.h"
#import "MemberInfo.h"


@protocol TeamCellDelegate <NSObject>

//cell上的按钮点击事件，弹出提示框
@optional
-(void)showPromptVC:(UIAlertController *)ac;
-(void)presentEventScheduleVC;

@end


@interface TeamNameCell : UITableViewCell
@property (weak, nonatomic) IBOutlet UIButton *joinBtn;
@property (weak, nonatomic) IBOutlet UILabel *teamNaLab;
@property (weak, nonatomic) IBOutlet UILabel *teamNumLab;
@property (nonatomic, weak) id<TeamCellDelegate> delegate;

@property (nonatomic, assign) int jFlag;//区分时加入团队，还是创建团队的标志
@property (nonatomic, assign) BOOL isOrganizer;//区分团队管理页面，是不是团队的创建者（这个是在管理员界面，区分是否是管理员，管理员那一行显示是管理员）
@property (nonatomic, assign) BOOL isCreater;//（因为显示和管理团队用同一个界面，这个变量区分是哪个界面）

-(void)setTeamName:(NSString *)name;
-(void)setTable:(UITableView *)tab andArr:(NSMutableArray *)cellA;

@end
